package com.kym.service.admin;

import com.kym.entity.admin.EquipmentRelation;
import com.kym.entity.admin.dto.BatchBindEquipmentRelation;
import com.kym.service.mybatisplus.MyBaseService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-08-07
 */
public interface EquipmentRelationService extends MyBaseService<EquipmentRelation> {
    EquipmentRelation getByShortId(String shortId);

    EquipmentRelation getByConnectorId(String connectorId);

    void batchBind(BatchBindEquipmentRelation equipmentRelation);

    EquipmentRelation getByEquipmentId(String equipmentId);

    List<String> getStationIdsByPlatformName(String platformName);
}
